org.apache.fop.apps

## Class FopConfParser

- java.lang.Object
- - org.apache.fop.apps.FopConfParser

    public class FopConfParser
    extends Object

Parses the FOP configuration file and returns a `FopFactoryBuilder` which builds a `FopFactory`.

### Constructor Summary

Constructors
Constructor and Description
`FopConfParser(Configuration cfg, FopFactoryBuilder fopFactoryBuilder)`
`FopConfParser(File fopConfFile)` Constructor that takes the FOP conf and uses the default URI resolver.
`FopConfParser(File fopConfFile, org.apache.xmlgraphics.io.ResourceResolver resourceResolver)` Constructor that parses the FOP conf and uses the URI resolver given.
`FopConfParser(File fopConfFile, URI defaultBaseURI)` Constructor that takes the FOP conf and a default base URI and uses the default URI resolver.
`FopConfParser(InputStream fopConfStream, EnvironmentProfile enviro)` Constructor that takes the FOP conf in the form of an `InputStream`.
`FopConfParser(InputStream fopConfStream, URI defaultBaseURI)` Constructor that takes the FOP conf in the form of an `InputStream`.
`FopConfParser(InputStream fopConfStream, URI baseURI, EnvironmentProfile enviro)`
`FopConfParser(InputStream fopConfStream, URI defaultBaseURI, org.apache.xmlgraphics.io.ResourceResolver resourceResolver)` Constructor that takes the FOP conf in the form of an `InputStream`.

### Method Summary

All Methods Instance Methods Concrete Methods
`FopFactoryBuilder` `getFopFactoryBuilder()` Returns the `FopFactoryBuilder`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FopConfParser

    public FopConfParser(InputStream fopConfStream,
                         EnvironmentProfile enviro)
                  throws SAXException,
                         IOException

Constructor that takes the FOP conf in the form of an `InputStream`. A default base URI must be given as a fall-back mechanism for URI resolution.

Parameters:
  `fopConfStream` - the fop conf input stream
  `enviro` - the profile of the FOP deployment environment
Throws:
  `SAXException` - if a SAX error was thrown parsing the FOP conf
  `IOException` - if an I/O error is thrown while parsing the FOP conf

#### FopConfParser

    public FopConfParser(InputStream fopConfStream,
                         URI defaultBaseURI,
                         org.apache.xmlgraphics.io.ResourceResolver resourceResolver)
                  throws SAXException,
                         IOException

Constructor that takes the FOP conf in the form of an `InputStream`. A default base URI must be given as a fall-back mechanism for URI resolution.

Parameters:
  `fopConfStream` - the fop conf input stream
  `defaultBaseURI` - the default base URI
  `resourceResolver` - the URI resolver
Throws:
  `SAXException` - if a SAX error was thrown parsing the FOP conf
  `IOException` - if an I/O error is thrown while parsing the FOP conf

#### FopConfParser

    public FopConfParser(InputStream fopConfStream,
                         URI defaultBaseURI)
                  throws SAXException,
                         IOException

Constructor that takes the FOP conf in the form of an `InputStream`. A default base URI must be given as a fall-back mechanism for URI resolution. The default URI resolvers is used.

Parameters:
  `fopConfStream` - the fop conf input stream
  `defaultBaseURI` - the default base URI
Throws:
  `SAXException` - if a SAX error was thrown parsing the FOP conf
  `IOException` - if an I/O error is thrown while parsing the FOP conf

#### FopConfParser

    public FopConfParser(File fopConfFile)
                  throws SAXException,
                         IOException

Constructor that takes the FOP conf and uses the default URI resolver.

Parameters:
  `fopConfFile` - the FOP conf file
Throws:
  `SAXException` - if a SAX error was thrown parsing the FOP conf
  `IOException` - if an I/O error is thrown while parsing the FOP conf

#### FopConfParser

    public FopConfParser(File fopConfFile,
                         URI defaultBaseURI)
                  throws SAXException,
                         IOException

Constructor that takes the FOP conf and a default base URI and uses the default URI resolver.

Parameters:
  `fopConfFile` - the FOP conf file
  `defaultBaseURI` - the default base URI
Throws:
  `SAXException` - if a SAX error was thrown parsing the FOP conf
  `IOException` - if an I/O error is thrown while parsing the FOP conf

#### FopConfParser

    public FopConfParser(File fopConfFile,
                         org.apache.xmlgraphics.io.ResourceResolver resourceResolver)
                  throws SAXException,
                         IOException

Constructor that parses the FOP conf and uses the URI resolver given.

Parameters:
  `fopConfFile` - the FOP conf file
  `resourceResolver` - the URI resolver
Throws:
  `SAXException` - if a SAX error was thrown parsing the FOP conf
  `IOException` - if an I/O error is thrown while parsing the FOP conf

#### FopConfParser

    public FopConfParser(InputStream fopConfStream,
                         URI baseURI,
                         EnvironmentProfile enviro)
                  throws SAXException,
                         IOException

Throws:
  `SAXException`
  `IOException`

#### FopConfParser

    public FopConfParser(Configuration cfg,
                         FopFactoryBuilder fopFactoryBuilder)
                  throws SAXException

Throws:
  `SAXException`

### Method Detail

#### getFopFactoryBuilder

    public FopFactoryBuilder getFopFactoryBuilder()

Returns the `FopFactoryBuilder`.

Returns:
  the object for configuring the `FopFactory`